module Main where

import qualified Data.ByteString.Lazy as Bsl
import Data.Foldable

import Presyntax.Parser
import Presyntax.Tokens
import Presyntax.Lexer

main :: IO ()
main = do
  t <- Bsl.readFile "test.tt"
  let Right tks = runAlex t parseProg
  traverse_ print tks